<?php


/**
 * implementiert die Informationsseite über Netzwerk, Versionen, Datum, Uptime und Line Interfaces
 * @author Miguel Palmer <mp@beronet.com>
 */

class Info {
	/**
	 * Funktion display erzeugt den Inhalt von der HTML-Seite
	 * @return string HTML Inhalt
	 */
	function display() {

                include '/usr/fallback/beroConf.php';

                $bc = new beroConf('root');

                $name="INFO_TITLE_DIS";
		include('./includes/header.php');
		$info = Helper::getInfo();
		//Die Tabelle Infos

		$ret .= "<br/><br/>
			<table class='table table-striped table-bordered' style='width:36% !important; margin:auto;'>
			<tr>
			<th>".INFO_SERIAL_NUMBER_DIS."</th>
			</tr>
			<tr>
			<td nowrap>".$info['serial']."</td>
			</tr>
			</table><br/>";

		$ret.="<table class='table table-striped table-bordered' style='width:36% !important; margin:auto;'>
					<tr><th colspan='2'>".INFO_VERSIONS_DIS."</th></tr>
		            <tr><td>appfs</td><td>". $info['appfs']."</td></tr>
		            <tr><td>rootfs</td><td>Version ".$info['rootfs']."</td></tr>
		            <tr><td>FPGA</td><td>Version ".$info['fpga']."</td></tr>
		            <tr><td>MSP</td><td>".$info['msp_fw']."</td></tr>
		            <tr><td>".INFO_HW_REVISION_DIS."</td><td>".$info['hw_revision']."</td></tr>
		            </table><br/>";

		// Netzwerkkonfiguration
		$ret .= "<table class='table table-striped table-bordered' style='width:36% !important; margin:auto;'>
			<tr>
			<th colspan='2'>".INFO_NET_CONFIGURATION_DIS."</th>
			</tr>";
		foreach ($info['network']['iface'] as $name => $iface) {
			$ret .= "<tr>" .
				"<tr><th colspan='2'>" . strtoupper($name) . "</th></tr>" .
				"<td nowrap>" . INFO_MAC_ADDRESS_DIS . "</td><td>". $iface['macaddr'] . "</td></tr>" .
				"<td nowrap>" . INFO_IP_ADDRESS_DIS . "</td><td>". $iface['ipaddr'] . "</td></tr>" .
				"<tr><td>" . INFO_NETMASK_DIS . "</td><td>". $iface['netmask'] . "</td></tr>" .
				((strlen($iface['gateway']) != 0) ? "<tr><td>". INFO_GATEWAY_DIS . "</td><td>" . $iface['gateway'] . "</td></tr>" : '');
		}

		$ret .= "<tr><td>" . NETWORK_PRIMARY_NAME_SERVER_DIS . "</td><td>" . $info['network']['nameserver'][0] . "</td></tr>" .
			"<tr><td>" . NETWORK_SECONDARY_NAME_SERVER_DIS . "</td><td>" . $info['network']['nameserver'][1] . "</td></tr>" .
			"</table><br/>";

		//Aktuelles Datum und Uhrzeit der Karte
		$ret .= "<table class='table table-striped table-bordered' style='width:36% !important; margin:auto;'>
			<tr>
			<th >".INFO_DATE_TIME_DIS."</th>
			</tr>
			<tr>
			<td nowrap>" . $info['date']."</td>
			</tr>
			</table><br/>";

		//Anzeige der installierten LI Module
		$ret .= "<table class='table table-striped table-bordered' style='width:36% !important; margin:auto;'>
			<tr>
			<th>".INFO_LINE_INTERFACES_DIS."</th>
			</tr>
			";
		for($i = 0; $i < 3; $i++) {
			if (!empty($info['lif' . $i])) {
				$ret .= "<tr><td nowrap>" . $info['lif' . $i] . "</td></tr>";
			}
		}
		$ret .= "</table><br/>";

		//UP Time
		$ret .= "<table class='table table-striped table-bordered' style='width:36% !important; margin:auto;'>
			<tr>
			<th colspan=2>".INFO_UPTIME_DIS."</th>
			</tr>
			<tr><td>System</td><td nowrap>".$info['system_uptime']."</td></tr>
			<tr><td>ISGW</td><td nowrap>".$info['isgw_uptime']."</td>
			</tr>
			</table>
			<br/>";
	//Rückgabe: Der Inhalt von der HTML-Seite
		return $ret;
	}

}
?>
